Skip to main content
GET
/
v1
/
get-contact-by-external-id
/
{external_contact_id}
Get Contact by External ID
curl --request GET \
  --url https://api.telli.com/v1/get-contact-by-external-id/{external_contact_id} \
  --header 'Authorization: <api-key>'
{
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_contact_id": "<string>",
  "external_url": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "in_call_since": "2023-11-07T05:31:56Z",
  "reached_at": "2023-11-07T05:31:56Z",
  "call_attempts": 123,
  "next_call_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.telli.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is deprecated. Use Get Contact by External ID instead. See the Migration Guide for details.

Authorizations

Authorization
string
header
required

API key must be provided as: Bearer <api_key>

Path Parameters

external_contact_id
string<uuid>
required

The telli contact ID

Response

200 - application/json

Contact details retrieved successfully

contact_id
string<uuid>

The telli contact ID

external_contact_id
string

Your unique internal identifier for the contact

external_url
string<uri>

External URL linking to the contact in your CRM or external system

created_at
string<date-time>

When the contact was created

in_call_since
string<date-time>

Timestamp of when current call started, null if not in call

reached_at
string<date-time>

When the contact was last successfully reached

call_attempts
integer

Number of call attempts made to this contact

next_call_at
string<date-time>

When the next call is scheduled, null if no call scheduled